package com.sw.mes.sap.service;

import java.text.ParseException;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.sap.entity.ReportSapMblnrQuery;

/**
 * 物料凭证查询接口Service接口
 * 
 * @author liru
 * @date 2024-04-15
 */
public interface ReportSapMblnrQueryService extends BaseService<ReportSapMblnrQuery> {

	ReportSapMblnrQuery getByMblnr(String mblnr);

	void synPreDateSapMblnr();

	void recoveryGoodsmvt(Long id) throws ParseException;

	void contrastGoodsmvt();

}